## r-cran-askpass 1.1

=== DESCRIPTION ===
Package: askpass
Type: Package
Title: Safe Password Entry for R, Git, and SSH
Version: 1.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Cross-platform utilities for prompting the user for credentials or a 
    passphrase, for example to authenticate with a server or read a protected key.
    Includes native programs for MacOS and Windows, hence no 'tcltk' is required. 
    Password entry can be invoked in two different ways: directly from R via the 
    askpass() function, or indirectly as password-entry back-end for 'ssh-agent' 
    or 'git-credential' via the SSH_ASKPASS and GIT_ASKPASS environment variables.
    Thereby the user can be prompted for credentials or a passphrase if needed 
    when R calls out to git or ssh.
License: MIT + file LICENSE
URL: https://github.com/jeroen/askpass#readme
BugReports: https://github.com/jeroen/askpass/issues
Encoding: UTF-8
LazyData: true
Imports: sys (>= 2.1)
RoxygenNote: 6.1.1
Suggests: testthat
Language: en-US
NeedsCompilation: yes
Packaged: 2019-01-13 12:08:17 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-01-13 12:50:03 UTC

=== debian/changelog ===
r-cran-askpass (1.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 13:58:21 +0200

r-cran-askpass (1.1-1) unstable; urgency=medium

  * Initial release (closes: #919986)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 11:30:29 +0100

=== debian/control ===
Source: r-cran-askpass
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-sys
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-askpass
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-askpass.git
Homepage: https://cran.r-project.org/package=askpass
Rules-Requires-Root: no

Package: r-cran-askpass
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: safe password entry for GNU R, Git, and SSH
 Cross-platform utilities for prompting the user for credentials or a
 passphrase, for example to authenticate with a server or read a protected key.
 Includes native programs for MacOS and Windows, hence no 'tcltk' is required.
 Password entry can be invoked in two different ways: directly from R via the
 askpass() function, or indirectly as password-entry back-end for 'ssh-agent'
 or 'git-credential' via the SSH_ASKPASS and GIT_ASKPASS environment variables.
 Thereby the user can be prompted for credentials or a passphrase if needed
 when R calls out to git or ssh.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/askpass_([-\d.]*)\.tar\.gz

## r-cran-askpass 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: askpass
 Type: Package
-Title: Safe Password Entry for R, Git, and SSH
-Version: 1.1
+Title: Password Entry Utilities for R, Git, and SSH
+Version: 1.2.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Cross-platform utilities for prompting the user for credentials or a 
@@ -13,17 +13,16 @@
     Thereby the user can be prompted for credentials or a passphrase if needed 
     when R calls out to git or ssh.
 License: MIT + file LICENSE
-URL: https://github.com/jeroen/askpass#readme
-BugReports: https://github.com/jeroen/askpass/issues
+URL: https://github.com/r-lib/askpass
+BugReports: https://github.com/r-lib/askpass/issues
 Encoding: UTF-8
-LazyData: true
 Imports: sys (>= 2.1)
-RoxygenNote: 6.1.1
+RoxygenNote: 7.2.3
 Suggests: testthat
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2019-01-13 12:08:17 UTC; jeroen
+Packaged: 2023-09-03 19:16:12 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2019-01-13 12:50:03 UTC
+Date/Publication: 2023-09-03 20:00:02 UTC

=== debian/changelog ===
r-cran-askpass (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2023 18:02:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sys
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-askpass
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-askpass.git
 Homepage: https://cran.r-project.org/package=askpass

## r-cran-askpass 1.2.1

=== DESCRIPTION ===
Package: askpass
Type: Package
Title: Password Entry Utilities for R, Git, and SSH
Version: 1.2.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289"))
Description: Cross-platform utilities for prompting the user for credentials or a 
    passphrase, for example to authenticate with a server or read a protected key.
    Includes native programs for MacOS and Windows, hence no 'tcltk' is required. 
    Password entry can be invoked in two different ways: directly from R via the 
    askpass() function, or indirectly as password-entry back-end for 'ssh-agent' 
    or 'git-credential' via the SSH_ASKPASS and GIT_ASKPASS environment variables.
    Thereby the user can be prompted for credentials or a passphrase if needed 
    when R calls out to git or ssh.
License: MIT + file LICENSE
URL: https://r-lib.r-universe.dev/askpass
BugReports: https://github.com/r-lib/askpass/issues
Encoding: UTF-8
Imports: sys (>= 2.1)
RoxygenNote: 7.2.3
Suggests: testthat
Language: en-US
NeedsCompilation: yes
Packaged: 2024-10-03 14:12:09 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 07:20:03 UTC

=== debian/changelog ===
r-cran-askpass (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 11:24:15 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-sys
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-askpass
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-askpass.git
 Homepage: https://cran.r-project.org/package=askpass

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name mac-askpass -delete
